<?php

namespace FintectureWC;

/**
 * Get payment infos
 *
 * @return array<mixed> payment infos
 */
function fintecture_post_payment() : array
{
    $params = ['state' => isset($_GET['state']) ? \sanitize_text_field($_GET['state']) : '', 'status' => isset($_GET['status']) ? \sanitize_text_field($_GET['status']) : '', 'session_id' => isset($_GET['session_id']) ? \sanitize_text_field($_GET['session_id']) : '', 'customer_id' => isset($_GET['customer_id']) ? \sanitize_text_field($_GET['customer_id']) : '', 'provider' => isset($_GET['provider']) ? \sanitize_text_field($_GET['provider']) : ''];
    if (empty($params['state'])) {
        fintecture_write_log('Bad format - empty state');
        return [null, null, null];
    }
    // We received the payment
    $decoded_state = \json_decode(\utf8_encode(\base64_decode($params['state'])));
    if (!\property_exists($decoded_state, 'order_id')) {
        $error = 'Error on payment. State: ' . $decoded_state;
        if (!empty($params['status']) && $params['status'] == 'payment_unsuccessful') {
            $error .= ' / Status : ' . $decoded_state;
        }
        fintecture_write_log($error);
        return [null, null, null];
    }
    $order_id = $decoded_state->order_id;
    $order = \wc_get_order($order_id);
    return [$order, $order_id, $_GET['session_id']];
}
