<?php

namespace FintectureWC;

/**
 * Get system infos
 *
 * @return array<string,mixed> system infos
 */
function fintecture_system_infos() : array
{
    // Get number of gateways
    $wc = get_wc_instance();
    /** @phpstan-ignore-line */
    if (isset($wc->payment_gateways)) {
        $shop_payment_methods = \count($wc->payment_gateways->get_available_payment_gateways());
    }
    // Get position of gateway
    $ordering = (array) \get_option('woocommerce_gateway_order');
    $position = $ordering && isset($ordering['wc_fintecture_gateway']) ? $ordering['wc_fintecture_gateway'] : '';
    // Get plugin settings without WC_Settings API
    $options = \get_option('woocommerce_wc_fintecture_gateway_settings');
    // Construct config return
    return ['type' => 'php-wp-wc-sdk-1', 'shop_name' => \get_bloginfo('name'), 'shop_domain' => \get_bloginfo('wpurl'), 'shop_cms' => 'wordpress', 'shop_cms_version' => \get_bloginfo('version'), 'shop_wc_version' => \WC_VERSION, 'module_version' => \FINTECTURE_WC_PLUGIN_VERSION, 'module_position' => $position, 'shop_payment_methods' => $shop_payment_methods ?? null, 'module_enabled' => isset($options['enabled']) && $options['enabled'] === 'yes' ? 1 : 0, 'module_production' => isset($options['environment']) && $options['environment'] === 'no' ? 1 : 0, 'module_sandbox_app_id' => $options['test_app_id'] ?? '', 'module_production_app_id' => $options['app_id'] ?? '', 'module_branding' => isset($options['show_branding']) && $options['show_branding'] === 'yes' ? 1 : 0];
}
