<?php

namespace FintectureWC;

/**
 * Receive infos delivered to webhook
 *
 * @return array<string,mixed> payment infos
 */
function fintecture_webhook() : array
{
    require_once 'wp-load.php';
    $params = ['state' => isset($_POST['state']) ? \sanitize_text_field($_POST['state']) : '', 'status' => isset($_POST['status']) ? \sanitize_text_field($_POST['status']) : '', 'session_id' => isset($_POST['session_id']) ? \sanitize_text_field($_POST['session_id']) : '', 'customer_id' => isset($_POST['customer_id']) ? \sanitize_text_field($_POST['customer_id']) : '', 'provider' => isset($_POST['provider']) ? \sanitize_text_field($_POST['provider']) : ''];
    $decoded_state = \json_decode(\utf8_encode(\base64_decode($params['state'])));
    $order_id = $decoded_state->order_id;
    if ($order_id) {
        return ['order' => \wc_get_order($order_id), 'params' => $params];
    }
    return ['params' => $params];
}
