<?php

namespace FintectureWC\Fintecture\Api\Pis;

use FintectureWC\Fintecture\Api\Api;
use FintectureWC\Fintecture\Api\ApiResponse;
use FintectureWC\Fintecture\Util\Header;
class RequestToPay extends Api
{
    /**
     * Initiate a request-to-pay.
     *
     * @param array $data Payload.
     * @param string $xLanguage x-language.
     * @param string $redirectUri Redirect URI.
     *
     * @return ApiResponse Generated request-to-pay.
     */
    public function generate(array $data, string $xLanguage, string $redirectUri = null) : ApiResponse
    {
        $params = \http_build_query(['redirect_uri' => $redirectUri]);
        $path = '/pis/v2/request-to-pay';
        if ($params) {
            $path .= '?' . $params;
        }
        $headers = Header::generate('POST', $path, $data);
        $headers['x-language'] = $xLanguage;
        return $this->apiWrapper->post($path, $data, \true, $headers);
    }
}
