<style>
    /* 
    Some themes try to show all html elements (with * selector) 
    So force hiding of style & script elements
    */
    .payment_method_wc_fintecture_gateway style,
    .payment_method_wc_fintecture_gateway script {
        display: none !important;
    }
    
    #f-wc-section {
        color: #0B1643;
    }

    #f-wc-dropdown {
        width: 100%;
        cursor: pointer;
    }

    #f-wc-dropdown #f-wc-dropdown-text {
        padding-right: 25px;
    }

    #f-wc-dropdown #f-wc-dropdown-arrow {
        width: 21px;
        height: 20px;
        background-image: url("<?php echo $img_path . '/arrow_bottom.png'; ?>");
        background-repeat: no-repeat;
        background-color: transparent;
    }

    #f-wc-dropdown.open #f-wc-dropdown-arrow {
        background-image: url("<?php echo $img_path . '/arrow_top.png'; ?>");
    }

    #f-wc-dropdown.open #f-wc-dropdown-content {
        display: block;
    }

    #f-wc-dropdown.open #f-wc-howto {
        margin-bottom: 10px;
    }

    #f-wc-dropdown-content {
        display: none;
    }

    #f-wc-howto {
        display: flex;
        align-items: center;
        gap: 5px;
        font-style: italic;
    }

    #f-wc-steps {
        position: relative;
        z-index: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 10px;
        margin-top: 10px;
    }

    #f-wc-steps::before {
        content: "";
        z-index: -1;
        position: absolute;
        top: 0;
        left: 18px;
        height: 100%;
        width: 1px;
        background-color: #C4C4C4;
    }

    #f-wc-steps .f-wc-step-wrapper {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    #f-wc-steps .f-wc-step-icon {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-shrink: 0;
        height: 36px;
        width: 36px;
        background-size: cover;
        background-color: #fafafa;
    }

    #f-wc-steps .f-wc-step-1-icon {
        background-image: url("<?php echo $img_path . 'checkout/step1.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-2-icon {
        background-image: url("<?php echo $img_path . '/checkout/step2.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-3-icon {
        background-image: url("<?php echo $img_path . 'checkout/step3.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-4-icon {
        background-image: url("<?php echo $img_path . 'checkout/step4.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-img {
        height: 20px;
        width: 20px;
        background-size: cover;
    }

    #f-wc-steps .f-wc-step-1-img {
        background-image: url('https://assets.fintecture.com/img/new-checkout/prestashop/16/banks-select-your-bank.gif');
    }

    #f-wc-steps .f-wc-step-2-img {
        background-image: url("<?php echo $img_path . '/checkout/login-step2.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-3-img {
        background-image: url("<?php echo $img_path . 'checkout/payment-step3.svg'; ?>");
    }

    #f-wc-steps .f-wc-step-4-img {
        background-image: url("<?php echo $img_path . 'checkout/confirm-step4.svg'; ?>");
    }
</style>

<div id="f-wc-section">
    <div id="f-wc-dropdown">
        <p id="f-wc-dropdown-text">
            <?php echo __('You will be automatically redirected to your secured bank environment to confirm your payment.', 'fintecture-payment-gateway'); ?><br>
            <b><?php echo __('Pay safely for your purchase. It’s easy, no registration needed.', 'fintecture-payment-gateway'); ?></b>
            <span id="f-wc-howto">
                <?php echo __('How it works?', 'fintecture-payment-gateway'); ?>
                <span id="f-wc-dropdown-arrow"></span>
            </span>
        </p>
        <div id="f-wc-dropdown-content">
            <div id="f-wc-steps">
                <div class="f-wc-step-wrapper">
                    <div class="f-wc-step-icon f-wc-step-1-icon">
                        <div class="f-wc-step-img f-wc-step-1-img"></div>
                    </div>
                    <div><?php echo __('Select your bank', 'fintecture-payment-gateway'); ?></div>
                </div>
                <div class="f-wc-step-wrapper">
                    <div class="f-wc-step-icon f-wc-step-2-icon">
                        <div class="f-wc-step-img f-wc-step-2-img"></div>
                    </div>
                    <div><?php echo __('Login with your usual banking ID’s', 'fintecture-payment-gateway'); ?></div>
                </div>
                <div class="f-wc-step-wrapper">
                    <div class="f-wc-step-icon f-wc-step-3-icon">
                        <div class="f-wc-step-img f-wc-step-3-img"></div>
                    </div>
                    <div><?php echo __('Confirm your payment securely', 'fintecture-payment-gateway'); ?></div>
                </div>
                <div class="f-wc-step-wrapper">
                    <div class="f-wc-step-icon f-wc-step-4-icon">
                        <div class="f-wc-step-img f-wc-step-4-img"></div>
                    </div>
                    <div><?php echo __('Your purchase is confirmed!', 'fintecture-payment-gateway'); ?></div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php 
$cart_data = get_wc_instance()->session->get('cart');
$cart_id = array_key_first($cart_data) ?? 0;
$checkout_event_url = site_url('/wc-api/fintecture_checkout_event');
$dropdown_event_url = site_url('/wc-api/fintecture_dropdown_event');
?>

<script>
    window.addEventListener('load', function() {
        if (window.isLoaded) {
            return;
        }
        window.isLoaded = true;

        const cartId = '<?php echo $cart_id; ?>';
        let storedCartId = localStorage.getItem('fintecture-cartId');
        if (!storedCartId || cartId !== storedCartId) {
            const checkout_section = document.querySelector('.payment_method_wc_fintecture_gateway');
            if (checkout_section) {
                var oReq = new XMLHttpRequest();
                oReq.open('get', '<?php echo $checkout_event_url ?>', true);
                oReq.send();
            }
            localStorage.removeItem('fintecture-cartId');
            localStorage.setItem('fintecture-cartId', cartId);
        }

        document.addEventListener('click', function(e) {
            if (e.target && e.target.id == 'f-wc-dropdown-text' ||
                e.target.parentNode && e.target.parentNode.id == 'f-wc-dropdown-text' ||
                e.target.parentNode && e.target.parentNode.id == 'f-wc-howto') {
                const dropdown = document.getElementById('f-wc-dropdown');
                dropdown.classList.toggle('open');

                if (!sessionStorage.alreadyOpened) {
                    var oReqMetric = new XMLHttpRequest();
                    oReqMetric.open('get', '<?php echo $dropdown_event_url; ?>', true);
                    oReqMetric.send();
                    sessionStorage.alreadyOpened = 'true'; // data in sessionStorage is cleared when the page session ends.
                }
            }
        });
    });
</script>